## devscripts 2.10.55~bpo50+1

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

PERL_MODULES = Devscripts
EXAMPLES = conf.default

all: version scripts $(EXAMPLES) translated_manpages

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_translated_manpages
	rm -f version conf.default

install: all install_scripts
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)

scripts:
	$(MAKE) -C scripts/
clean_scripts:
	$(MAKE) -C scripts/ clean
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

=== po4a/Makefile ===
all:
	po4a --previous --no-backups devscripts-po4a.conf
clean:
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
LIBS = libvfork.so.0
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))

GEN_MAN1S = bts.1 build-rdeps.1 chdist.1 dcontrol.1 debcheckout.1 debcommit.1 \
	    deb-reversion.1 desktop2menu.1 dget.1 licensecheck.1 mass-bug.1 \
	    mk-build-deps.1 namecheck.1 rmadison.1 svnpath.1 tagpending.1 \
	    transition-check.1 devscripts.1

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
BIN_LIBDIR = /usr/lib/devscripts

all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS) $(COMPLETION)

%: %.sh

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	bash -n $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	perl -I.. -c $@
%: %.tmp
	cp $< $@
	chmod +x $@

	
%.1: %.pl
	podchecker $<
	pod2man --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

devscripts.1: devscripts.1.in
	cat $+ > $@
	perl ../debian/genmanpage.pl >> $@

devscripts.%: %.bash_completion
	cp $< $@

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
libvfork.so.0: libvfork.o
	$(CC) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \
		libvfork.o libvfork.so.0 $(COMPLETION)

install: all
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	cp $(COMPLETION) $(DESTDIR)/etc/bash_completion.d
	# Special treatment for debpkg
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

=== debian/changelog ===
devscripts (2.10.55~bpo50+1) lenny-backports; urgency=high

  * Urgency "high" for uscan security update fix
  * Rebuild for lenny-backports.
  * Remove sensible-utils from Recommends as it doesn't exist in lenny.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Fri, 11 Sep 2009 15:00:17 +0100

devscripts (2.10.55) unstable; urgency=high

  * Urgency "high" for security fix fix

  [ Ryan Niebur ]
  * uscan: fix a regression from the security fix when the command is
    given parameters. use Text::ParseWords::shellwords to parse the
    given command.
  * dch: fix comparison of versions when the new and current version are
    the same (Closes: #545099)

  [ Adam D. Barratt ]
  * bts: Refer to the "--no-ack" option rather than the incorrect "--no-acks"
    in the description of the BTS_SUPPRESS_ACKS variable.  Thanks, Jakub
    Wilk.  (Closes: #542961)
  * licensecheck: Add missing blank line in POD.  Thanks, Nicolas Francois.
  * uscan: Fix regressions introduced by the security fix in the previous
    upload.  The parser now correctly keeps track of the last match when /g
    is used to avoid infinite loops.  Thanks, Raphael Geissert and Martín
    Ferrari.  (Closes: #544931)
  * l10n updates; thanks, Nicolas Francois:  (Closes: #545327)
    + Update French manpage translations
    + Fix addendum format for dcontrol in po4a/devscripts-po4a.conf
    + Use --previous when invoking po4a
  * debian/control: Bump version of po4a build-dependency to 0.31 to ensure
    support for --previous.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Fri, 11 Sep 2009 10:02:52 +0100

devscripts (2.10.54) unstable; urgency=high

  * Urgency "high" for security update

  [ James Vega ]
  * debchange: Clarify the wording for the explanation of
    --force-save-on-release.  (Closes: #539155)
  * grep-excuses: Document that -w only works with a package name.
  * manpage-alert: Fix handling of commands which start with non-word
    characters.  Based on a patch from Ville Skyttä.
  * bts: Add support for the limit command.  (Closes: #541698)
  * tagpending: Use 'bts limit source ...' instead of 'bts package ...' and
    listing every binary package the source produces.  This will prevent
    tagpending emails from exceeding the 998 characters per line limit of
    email.

  [ Adam D. Barratt ]
  * bts:
    + Make "tags NNNNNN =" operate correctly again.  (Closes: #539688)
    + Use >& rather than writing to filehandles under /dev/fd.
      (Closes: #517917)
  * cowpoke:
    + Update to new upstream version
      - Run with reduced privileges and only elevate them when needed to
        run cowbuilder.
      - Don't explicitly pass a buildd username unless it is set, this allows
        people to configure the remote username in their ssh config or
        similar.  (Closes: #538191)
      - Supply pbuilder with the --buildplace and --aptcache options to
        enable use with reduced privileges.
      - Relative paths are all relative to the BUILDD_USER's home directory
        now, not the incoming dir.
      - Add --dpkg-opts support for passing options on to dpkg.
      - Autoclean the apt-cache so it doesn't grow unbounded.
  * dcmd: Add filtering options for udebs.  (Closes: #541827)
  * debchange: Don't output spurious characters when extended Unicode
    characters are passed on the command line.  (Closes: #542484)
  * dget: Update the dpkg-source output matching to enable --build to work
    again.  (Closes: #541409)
  * uscan: Evaluate mangle rules without evaluating them directly as Perl
    code to avoid the possibility of remote code execution.  This is
    CVE-2009-2946.  As a side effect, (Closes: #515209)
  * Packaging changes: Add sensible-utils to Recommends.  Several scripts
    make use of sensible-editor and it has moved from debianutils so is
    no longer essential.  (Closes: #541846)

  [ Patrick Schoenfeld ]
  * Add an example for githubredir.debian.net to the uscan manpage
    (Closes: #539923)

  [ Christoph Berg ]
  * debdiff: New option --no-unpack-tarballs to skip unpacking tarballs
    contained in source packages.

  [ Ryan Niebur ]
  * uscan: add --download-current-version option (Closes: #539724)
  * Add myself to Uploaders
  * debchange: add support for using --package with -i to change the
    source package name (Closes: #515885)
  * debcheckout: use bzr+ssh instead of sftp, thanks to Colin Watson for
    the patch (Closes: #526068)
  * debchange: remove NMU version when -i is ran without -n or auto nmu
    (Closes: 487323)
  * uscan: add support for repacking lzma compressed tarballs, thanks to
    Michal Čihař for the patch (Closes: #514504)
  * namecheck: use comments instead of pod blocks so that they don't get
    translated, thanks to Florentin Duneau for the patch (Closes:
    #529062)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 02 Sep 2009 20:22:29 +0100

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
Standards-Version: 3.8.2
Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
 libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
 po4a (>= 0.31), xsltproc
Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
Vcs-Svn: svn://svn.debian.org/devscripts/trunk

Package: devscripts
Architecture: any
Conflicts: kdesdk-scripts (<< 4:3.5.6-2)
Depends: dpkg-dev, perl, ${shlibs:Depends}, ${misc:Depends}
Recommends: at, curl | wget, dctrl-tools, debian-keyring, debian-maintainers,
 dput | dupload, equivs, fakeroot, gnupg, libauthen-sasl-perl,
 libcrypt-ssleay-perl, libparse-debcontrol-perl, libsoap-lite-perl,
 libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
 libyaml-syck-perl, lintian, lsb-release, bsd-mailx | mailx | mailutils, 
 man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
 subversion | cvs | svk | tla | bzr | git-core | mercurial, lzma
Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
 libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
 svn-buildpackage
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, libwww-perl,
    bsd-mailx | mailx | mailutils]
  - build-rdeps: Searches for all packages that build-depend on a
    given package [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory.
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory. [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: A wrapper for cvs-buildpackage to use debuild as its package
    building program. [cvs-buildpackage, fakeroot, lintian, gnupg]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein 
  - dcontrol: remotely query package and source control files for all Debian
    distributions. [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libparse-debcontrol-perl, libsoap-lite-perl, lsb-release]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, svn, svk, tla, bzr, git, or hg, basing
    commit message on changelog
    [cvs | subversion | svk | tla | bzr | git-core | mercurial]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh-client]
  - debsnap: grab packages from http://snapshot.debian.net [wget]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot,
    lintian, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
    archive
  - desktop2menu: produce a skeleton menu file from a freedesktop.org
    desktop file [libfile-desktopentry-perl]
  - dget: downloads Debian source and binary packages [wget | curl]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - diff2patches: extract patches from a .diff.gz file placing them  under
    debian/ or, if present, debian/patches [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: searches for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx | mailutils]
  - mergechanges: merge .changes files from a package built on different
    architectures
  - mk-build-deps: Given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given packages. [equivs]
  - namecheck: Check project names are not already taken.
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx | mailutils, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages
    [wget | curl, liburi-perl]
  - svnpath: print svn repository paths [subversion]
  - tagpending: runs from a Debian source tree and tags bugs that are to 
    be closed in the latest changelog as pending. [libsoap-lite-perl]
  - transition-check: Check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages
    [libcrypt-ssleay-perl, libwww-perl, unzip, lzma]
  - uupdate: integrate upstream changes into a source package [patch]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for
    adoption [wget]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for devscripts, based on the example file rules.indep.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optimize := -O0
else
optimize := -O2
endif

# Here we perform some checks to ensure that we haven't goofed or left
# debugging code around or ... before we build the package
test: test-stamp
test-stamp:
	# debugging info in bts?
	if grep -q '\$$debug *= *1' scripts/bts.pl; then exit 1; else exit 0; fi
	touch test-stamp

build-indep: build-stamp-indep
build-stamp-indep: test-stamp
	dh_testdir
	touch build-stamp-indep

build-arch: build-stamp-arch
build-stamp-arch: test-stamp
	dh_testdir
	$(MAKE) CFLAGS='-g $(optimize) -Wall'
	touch build-stamp-arch

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f build-stamp* test-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	chmod +x debian/devscripts/usr/share/bug/devscripts/script
	install -d debian/devscripts/usr/share/lintian/overrides
	install -p -m644 debian/lintian.overrides \
	    debian/devscripts/usr/share/lintian/overrides/devscripts
	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
	dh_installman
	dh_link
	if [ -f debian/devscripts/usr/share/man/fr/man1/debchange.1 ]; then \
	    dh_link /usr/share/man/fr/man1/debchange.1.gz \
	    /usr/share/man/fr/man1/dch.1.gz; \
	fi
	if [ -f debian/devscripts/usr/share/man/fr/man1/pts-subscribe.1 ]; \
	then \
	    dh_link /usr/share/man/fr/man1/pts-subscribe.1.gz \
	    /usr/share/man/fr/man1/pts-unsubscribe.1.gz; \
	fi
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
	install

# Local variables:
# mode: makefile
# End:

## devscripts 2.10.61ubuntu5

=== debian/changelog ===
devscripts (2.10.61ubuntu5) lucid; urgency=low

  * Backport from 2.10.62: Add maverick as an allowable distribution for
    Ubuntu (Closes: #576287).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Apr 2010 00:20:34 +0200

devscripts (2.10.61ubuntu4) lucid; urgency=low

  * Search for .bzr in addition to .git in parent directory traversal
    (Closes: #545523, LP: #381456).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 03 Apr 2010 20:34:04 +0200

devscripts (2.10.61ubuntu3) lucid; urgency=low

  * Fix "dch -l fails due to ubuntu patching" (LP: #445432), by narrowing the
    applicability of the 'Append "ubuntu1"' code.

 -- Max Bowsher <maxb@f2s.com>  Fri, 26 Mar 2010 07:14:10 +0000

devscripts (2.10.61ubuntu2) lucid; urgency=low

  * Restore changes to scripts/debchange.pl erroneously dropped in the
    2.10.55ubuntu1 merge, thereby fixing the --distributor option.
    (LP: #509441)

 -- Max Bowsher <maxb@f2s.com>  Tue, 19 Jan 2010 02:16:10 +0000

devscripts (2.10.61ubuntu1) lucid; urgency=low

  [ ﺄﺤﻣﺩ ﺎﻠﻤﺤﻣﻭﺪﻳ (Ahmed El-Mahmoudy) ]
  * Resynchronise with Debian (LP: #500968). Remaining changes:
    - Drop universe packages from Recommends to Suggests:
      + libcrypt-ssleay-perl: only needed for a corner case (uscan on SSL
        download sites), wasn't installed by default in previous releases
        either, and seems quite dead upstream
      + libsoap-lite-perl: only needed for one less common command ("select")
        for bts, which isn't useful for Ubuntu itself, and pulls in a lot of
        other universe Perl libraries
      + debian-{keyring,maintainers}: not useful enough in Ubuntu
      + equivs: too much of a hack to install by default
      + libyaml-syck-perl: transition-check is fairly Debian-specific
    - scripts/debchange.pl:
      + Adjust --security template for Ubuntu.
      + Add -U/--upstream flag that forces original "just increment
        the end" behaviour; Ubuntu is upstream for some pieces of software.
      + Add --distributor= to override lsb_release output.
      + Default to "lucid" as distribution.
      + Add "ubuntu1" to version string for new versions, with tweaks for
        special cases.
      + Add -R/--rebuild flag for Ubuntu's no-change rebuilds.
      + Don't use the last distribution in debian/changelog when doing
        "dch -r" on Ubuntu. "Just because it was last uploaded to jaunty
        doesn't mean that's the right thing to do now." Thanks to Colin
        Watson. (LP: #429288)
    - scripts/debsign.{sh,1}: Implement DEBSIGN_ALWAYS_RESIGN variable to skip
      the "Would you like to use the current signature?" question. (Debian
      #447955)
    - scripts/debuild.pl: Enforce Ubuntu merge policy.
    - scripts/dscverify.pl: Add Ubuntu keyrings.
    - scripts/rmadison.pl: Change default URL parameter to ubuntu.
    - scripts/uupdate.{sh,1}: Use -0ubuntu1 default revision on Ubuntu.
    - Add test/debchange.pl, test/Makefile: debchange test suite; call it
      during build in debian/rules. Also add lsb-release build dependency for
      this, so that debchange uses Ubuntu mode.

  [ Daniel Holbach ]
  * Update merge to 2.10.61 instead of 2.10.59.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 06 Jan 2010 09:11:35 +0100

devscripts (2.10.61) unstable; urgency=low

  * bts: Correct the address used to email the submitter when using the "bts
    done" command.

 -- James Vega <jamessan@debian.org>  Sat, 02 Jan 2010 22:20:19 -0500

devscripts (2.10.60) unstable; urgency=low

  The "Welcome to the New Year" release.

  [ James Vega ]
  * checkbashisms: Detect use of {x..z} expansion.  Thanks to Raphael
    Geissert.  (Closes: #560774)
  * who-uploads: Show usage if no arguments are given.  Thanks to Kumar
    Appaiah.  (Closes: #560955)
  * uscan:
    + Add missing escape of '\' in man page.  Thanks to Marco Túlio Gontijo
      for the patch.  (Closes: #562587)
    + Add missing verb in description of FTP syntax.  Thanks to Marco Túlio
      Gontijo for the patch.  (Closes: #562586)
  * annotate-output: Allow specifying a timestamp format.  (Closes: #539720)
  * bts:
    + Always include "thanks" at the end of the control block.  (Closes:
      #542962)
    + Allow specifying which fields will be shown by "bts status".  (Closes:
      #499283, #323782)
    + Add "verbose" option to "bts status", which will also show fields that
      don't have a set value.
    + Add "done" command which sends a close command as well as Ccing the bug
      submitter.  (Closes: #482751)
  * build-rdeps:
    + Add --origin option to specify which origin to use.
    + Use the Release file to determine which Sources file(s) to search for
      the given origin.  Thanks to Michael Schutte for the patch.  (Closes:
      #545115)

  [ Patrick Schoenfeld ]
  * licensecheck: Add support for some common variants of the WTFPL

  [ Ryan Niebur ]
  * deb-reversion: Fix use with recent dpkg-dev, thanks to Salvatore
    Bonaccorso (Closes: #559702)

  [ Adam D. Barratt ]
  * Bump Standards-Version to 3.8.3.  No changes required.
  * build-rdeps: Correct spelling error in manpage ("ommitted" -> "omitted").
  * checkbashisms: Correct spelling error in manpage ("preceeded" ->
    "preceded").
  * decbommit: Correct spelling error in manpage ("commiting" ->
    "committing").

 -- James Vega <jamessan@debian.org>  Fri, 01 Jan 2010 23:30:33 -0500

devscripts (2.10.59) unstable; urgency=low

  [ James Vega ]
  * debrelease: Do not use .svn/deb-layout to determine debsdir if --debs-dir
    was used.  (Closes: #558172)
  * checkbashisms: Fix a false positive detection of ". $(foo bar)/baz" as
    attempting to pass arguments to a sourced script.  (Closes: #557639)

  [ Joachim Breitner ]
  * debcommit: Add support for having only debian/ under a svn, cvs or darcs
    VCS (Closes: #450878)

 -- James Vega <jamessan@debian.org>  Tue, 01 Dec 2009 00:16:53 -0500

devscripts (2.10.58) unstable; urgency=low



## devscripts 2.10.61ubuntu5.1

=== debian/changelog ===
devscripts (2.10.61ubuntu5.1) lucid-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution via crafted filenames in .dsc
    and .changes files
    - scripts/debdiff.pl: Perform input sanitization on filenames. Thanks to
      Raphael Geissert for the original patch.
    - CVE-2012-0210
  * SECURITY UPDATE: Arbitrary code execution via crafted filenames in the top
    level directory of the original upstream source tarball
    - scripts/debdiff.pl: Perform input sanitization on filenames. Thanks to
      Adam D. Barratt for the original patch.
    - CVE-2012-0211
  * SECURITY UPDATE: Arbritray code execution via crafted filenames in
    arguments passed to debdiff
    - scripts/debdiff.pl: Perform input sanitization on filenames. Based on
      upstream patches.
    - http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git;a=commitdiff;h=87f88232eb643f0c118c6ba38db8e966915b450f
    - http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git;a=commitdiff;h=76227af1ee8d68f4844f642325eac903ca21e739
    - CVE-2012-0212
  * scripts/debdiff.pl: Remove undocumented functionality which treated
    files with extentionless filenames as packages. Thanks to Adam D. Barratt
    for the original patch.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659559

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 15 Feb 2012 03:33:39 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
-Standards-Version: 3.8.2
+Standards-Version: 3.8.3
 Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
- po4a (>= 0.31), xsltproc
+ po4a (>= 0.31), xsltproc, lsb-release
 Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
 Vcs-Svn: svn://svn.debian.org/devscripts/trunk
 
@@ -14,16 +15,19 @@
 Architecture: any
 Conflicts: kdesdk-scripts (<< 4:3.5.6-2)
 Depends: dpkg-dev, perl, ${shlibs:Depends}, ${misc:Depends}
-Recommends: at, curl | wget, dctrl-tools, debian-keyring, debian-maintainers,
- dput | dupload, equivs, fakeroot, gnupg, libauthen-sasl-perl,
- libcrypt-ssleay-perl, libparse-debcontrol-perl, libsoap-lite-perl,
+Recommends: at, curl | wget, dctrl-tools,
+ dput | dupload, fakeroot, gnupg, libauthen-sasl-perl,
+ libparse-debcontrol-perl,
  libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
- libyaml-syck-perl, lintian, lsb-release, bsd-mailx | mailx | mailutils, 
+ lintian, lsb-release, bsd-mailx | mailx | mailutils, 
  man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
- subversion | cvs | svk | tla | bzr | git-core | mercurial, lzma
+ subversion | cvs | svk | tla | bzr | git-core | mercurial, lzma,
+ sensible-utils
 Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
  libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
- svn-buildpackage
+ svn-buildpackage, w3m, debian-keyring, debian-maintainers, equivs,
+ ubuntu-dev-tools, libcrypt-ssleay-perl, libsoap-lite-perl,
+ libyaml-syck-perl
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
@@ -91,7 +95,7 @@
     .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
   - getbuildlog: download package build logs from Debian auto-builders [wget]
   - grep-excuses: grep the update_excuses.html file for your packages
-    [libterm-size-perl, wget]
+    [libterm-size-perl, wget, w3m]
   - licensecheck: attempt to determine the license of source files
   - list-unreleased: searches for unreleased packages
   - manpage-alert: locate binaries without corresponding manpages [man-db]

## devscripts 2.10.61ubuntu5.3

=== debian/changelog ===
devscripts (2.10.61ubuntu5.3) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via insufficient validation
    in dscverify
    - scripts/dscverify.pl: perform better validation.
    - 22881936e53e6b585d3dc60f3161e9d704c5138d
    - CVE-2012-2240
  * SECURITY UPDATE: arbitrary file deletion via insufficient validation
    in dget
    - scripts/dget.pl: strip invalid characters.
    - 79d27778321f7bb778097cfb7a724ae976fb4fbd
    - CVE-2012-2241
  * SECURITY UPDATE: arbitrary code execution via improper argument
    escaping in dget
    - scripts/dget.pl: escape $file better, and call system() with proper
      arguments.
    - db49f493baaac2387a4dd76370c1018109e31dfc
    - CVE-2012-2242
  * SECURITY UPDATE: file alteration via TOCTOU in annotate-output
    - scripts/annotate-output.sh: prevent symlink attack.
    - 1bbe2163987c53064a4cd57712927f4b06c01032
    - CVE-2012-3500
  * REGRESSION FIX: improper exit code in CVE-2012-0212 debdiff.pl fix
    - 252a42d225f489e398f3c0402c1f7d1e9a4451c0

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Sep 2012 15:06:36 -0400

## devscripts 2.10.61ubuntu5.6

=== debian/changelog ===
devscripts (2.10.61ubuntu5.6) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution in uscan via crafted tarball
    - scripts/uscan.pl: improve tarball handling.
    - backport of 02c6850d973e3e1246fde72edab27f03d63acc52
    - backport of 4b7e58ee6000cdefac0682601cec6ecce0137467
    - CVE-2013-6888

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 17 Jan 2014 08:27:59 -0500

## devscripts 2.10.67ubuntu1

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,24 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
- po4a (>= 0.31), xsltproc, lsb-release
-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
+ po4a (>= 0.40), xsltproc, libjson-perl, lsb-release
+XS-Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
+XS-Vcs-Git: git://git.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any
-Conflicts: kdesdk-scripts (<< 4:3.5.6-2)
-Depends: dpkg-dev, perl, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpkg-dev (>= 1.15.4.1), perl, ${shlibs:Depends}, ${misc:Depends}
 Recommends: at, curl | wget, dctrl-tools,
  dput | dupload, fakeroot, gnupg, libauthen-sasl-perl,
  libparse-debcontrol-perl,
  libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
- lintian, lsb-release, bsd-mailx | mailx | mailutils, 
+ lintian, lsb-release, bsd-mailx | mailx,
  man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
- subversion | cvs | svk | tla | bzr | git-core | mercurial, lzma,
- sensible-utils
+ subversion | cvs | darcs | tla | bzr | git-core | mercurial, lzma,
+ xz-utils, sensible-utils, libjson-perl
 Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
  libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
  svn-buildpackage, w3m, debian-keyring, debian-maintainers, equivs,
@@ -37,7 +36,7 @@
   - archpath: print tla/Bazaar package names [tla | bazaar]
   - bts: a command-line tool for manipulating the BTS [www-browser,
     libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, libwww-perl,
-    bsd-mailx | mailx | mailutils]
+    bsd-mailx | mailx]
   - build-rdeps: Searches for all packages that build-depend on a
     given package [dctrl-tools]
   - chdist: tool to easily play with several distributions [dctrl-tools]
@@ -64,9 +63,9 @@
     [libparse-debcontrol-perl, libsoap-lite-perl, lsb-release]
   - debcheckout: checkout the development repository of a Debian package
   - debclean: purge a Debian source tree [fakeroot]
-  - debcommit: commit changes to cvs, svn, svk, tla, bzr, git, or hg, basing
-    commit message on changelog
-    [cvs | subversion | svk | tla | bzr | git-core | mercurial]
+  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
+    basing commit message on changelog
+    [cvs | darcs | subversion | svk | tla | bzr | git-core | mercurial]
   - debdiff: compare two versions of a Debian package to check for
     added and removed files [wdiff, patchutils]
   - debi: install a just-built package
@@ -76,7 +75,8 @@
     the rest of the package to be present; can sign the pair remotely
     or fetch the pair from a remote machine for signing [gnupg,
     debian-keyring, ssh-client]
-  - debsnap: grab packages from http://snapshot.debian.net [wget]
+  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl,
+    libjson-perl]
   - debuild: wrapper to build a package without having to su or worry
     about how to invoke dpkg to build using fakeroot.  Also deals
     with common environment problems, umask etc. [fakeroot,
@@ -99,7 +99,7 @@
   - licensecheck: attempt to determine the license of source files
   - list-unreleased: searches for unreleased packages
   - manpage-alert: locate binaries without corresponding manpages [man-db]
-  - mass-bug: mass-file bug reports [bsd-mailx | mailx | mailutils]
+  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
   - mergechanges: merge .changes files from a package built on different
     architectures
   - mk-build-deps: Given a package name and/or control file, generate a binary
@@ -111,7 +111,7 @@
   - plotchangelog: view a nice plot of the data in a changelog file
     [libtimedate-perl, gnuplot]
   - pts-subscribe: subscribe to the PTS for a limited period of time
-    [bsd-mailx | mailx | mailutils, at]
+    [bsd-mailx | mailx, at]
   - rc-alert: list installed packages which have release-critical bugs [wget]
   - rmadison: remotely query the Debian archive database about packages
     [wget | curl, liburi-perl]
@@ -122,7 +122,7 @@
     transitions for which uploads to unstable are currently blocked
     [libwww-perl, libyaml-syck-perl]
   - uscan: scan upstream sites for new releases of packages
-    [libcrypt-ssleay-perl, libwww-perl, unzip, lzma]
+    [libcrypt-ssleay-perl, libwww-perl, unzip, lzma, xz-utils]
   - uupdate: integrate upstream changes into a source package [patch]
   - whodepends: check which maintainers' packages depend on a package
   - who-uploads: determine the most recent uploaders of a package to the Debian

## devscripts 2.10.69ubuntu2

=== po4a/Makefile ===
include ../Makefile.common
GEN_TR_MAN1S := $(patsubst %.1,fr/%.fr.1,$(GEN_MAN1S))

all: translate $(GEN_TR_MAN1S)

translate:
	$(MAKE) -C ../scripts/ devscripts.1
	po4a --previous --no-backups devscripts-po4a.conf
	touch translate
clean:
# The po4a cleanup fails if devscripts.1 has already been cleaned up
	$(MAKE) -C ../scripts/ devscripts.1
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
	rm -f $(GEN_TR_MAN1S) translate ../scripts/devscripts.1

fr/%.fr.1: fr/%.fr.pl translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Utilitaires Debian" $< > $@
fr/%.fr.1: fr/%.fr.dbk translate
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
# xsltproc writes out to foo.1 even if you tell it to do otherwise, so we have
# to rename the file after it's generated
	mv fr/$*.1 $@

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
  po4a (>= 0.40), xsltproc, libjson-perl, lsb-release
-XS-Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
-XS-Vcs-Git: git://git.debian.org/devscripts/devscripts.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
+XS-Debian-Vcs-Git: git://git.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any

## devscripts 2.10.69ubuntu2.2

=== scripts/Makefile ===
--- 
+++ 
@@ -13,10 +13,7 @@
 COMPL_FILES := $(wildcard *.bash_completion)
 COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))
 
-GEN_MAN1S = bts.1 build-rdeps.1 chdist.1 dcontrol.1 debcheckout.1 debcommit.1 \
-	    deb-reversion.1 desktop2menu.1 dget.1 licensecheck.1 mass-bug.1 \
-	    mk-build-deps.1 namecheck.1 rmadison.1 svnpath.1 tagpending.1 \
-	    transition-check.1 devscripts.1
+GEN_MAN1S += devscripts.1
 
 BINDIR = /usr/bin
 LIBDIR = /usr/lib/devscripts
@@ -36,10 +33,9 @@
 	cp $< $@
 	chmod +x $@
 
-	
 %.1: %.pl
 	podchecker $<
-	pod2man --center=" " --release="Debian Utilities" $< > $@
+	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
 %.1: %.dbk
 	xsltproc --nonet -o $@ \
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

## devscripts 2.10.69+squeeze2

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,29 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
+Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
- po4a (>= 0.40), xsltproc, libjson-perl, lsb-release
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
-XS-Debian-Vcs-Git: git://git.debian.org/devscripts/devscripts.git
+ po4a (>= 0.40), xsltproc, libjson-perl
+Vcs-Browser: http://git.debian.org/?p=devscripts/devscripts.git
+Vcs-Git: git://git.debian.org/devscripts/devscripts.git
 
 Package: devscripts
 Architecture: any
 Depends: dpkg-dev (>= 1.15.4.1), perl, ${shlibs:Depends}, ${misc:Depends}
-Recommends: at, curl | wget, dctrl-tools,
- dput | dupload, fakeroot, gnupg, libauthen-sasl-perl,
- libparse-debcontrol-perl,
+Recommends: at, curl | wget, dctrl-tools, debian-keyring, debian-maintainers,
+ dput | dupload, equivs, fakeroot, gnupg, libauthen-sasl-perl,
+ libcrypt-ssleay-perl, libparse-debcontrol-perl, libsoap-lite-perl,
  libterm-size-perl, libtimedate-perl, liburi-perl, libwww-perl,
- lintian, lsb-release, bsd-mailx | mailx,
+ libyaml-syck-perl, lintian, lsb-release, bsd-mailx | mailx,
  man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
  subversion | cvs | darcs | tla | bzr | git-core | mercurial, lzma,
  xz-utils, sensible-utils, libjson-perl
 Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
  libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
- svn-buildpackage, w3m, debian-keyring, debian-maintainers, equivs,
- ubuntu-dev-tools, libcrypt-ssleay-perl, libsoap-lite-perl,
- libyaml-syck-perl
+ svn-buildpackage, w3m
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:

## devscripts 2.10.69+squeeze4

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PERL_MODULES = Devscripts
 EXAMPLES = conf.default
 
-all: version scripts $(EXAMPLES) translated_manpages
+all: version make_scripts $(EXAMPLES) translated_manpages
 
 version:
 	rm -f version
@@ -29,15 +29,16 @@
 	rm -f translated_manpages
 
 clean: clean_scripts clean_translated_manpages
-	rm -f version conf.default
+	rm -f version conf.default make_scripts
 
 install: all install_scripts
 	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
 	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
 
-scripts:
+make_scripts:
 	$(MAKE) -C scripts/
-clean_scripts:
+	touch $@
+clean_scripts: clean_translated_manpages
 	$(MAKE) -C scripts/ clean
 install_scripts:
 	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
-Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
+Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James McCoy <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: perl, debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
  libfile-desktopentry-perl, libterm-size-perl,  liburi-perl, libwww-perl,
